Bug 126442 - GetProp() ERROR = -1 [tree.o] ./../src/getprop.c:66
GetProp() ERROR = -1 [tree.o] ./../src/getprop.c:66
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-21 14:03 EDT by Bill Peck
Modified: 2013-03-06 00:57 EST (History)
1 user (show)

See Also:
Fixed In Version: RHEL4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 05:42:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2004-06-21 14:03:50 EDT
Description of problem:

Current rawhide ia64 0621 is failing on HP olympia rx8620

ELILO boot:
Uncompressing Linux... done
Loading initrd initrd-anaconda.img...done
Linux version 2.6.7-1.441 (bhcompile@boris.devel.redhat.com) (gcc
version 3.4.0 20040613 (Red Hat Linux 3.4.0-5)) #1 SMP Sun Jun 20
14:07:12 EDT 2004
EFI v1.10 by HP: SALsystab=0x707ff84a948 ACPI 2.0=0x707ff040000
HCDP=0x707ff05c0f0 SMBIOS=0x7fffc000
booting generic kernel on platform hpzx1
ACPI: RSDP (v002     HP                                    ) @
0x00000707ff040000
ACPI: DT (v001     HP   rx8620 0x00000000   HP 0x00000000) @
0x00000707ff05b190
ACPI: FADT (v003     HP   rx8620 0x00000000   HP 0x00000000) @
0x00000707ff05ae48
ACPI: SPCR (v001     HP   rx8620 0x00000000   HP 0x00000000) @
0x00000707ff040068
ACPI: DBGP (v001     HP   rx8620 0x00000000   HP 0x00000000) @
0x00000707ff0400b8
ACPI: MADT (v001     HP   rx8620 0x00000000   HP 0x00000000) @
0x00000707ff0401a0
ACPI: SLIT (v001     HP   rx8620 0x00000000   HP 0x00000000) @
0x00000707ff05af40
ACPI: CPEP (v001     HP   rx8620 0x00000000   HP 0x00000000) @
0x00000707ff05af80
ACPI: SRAT (v001     HP   rx8620 0x00000000   HP 0x00000000) @
0x00000707ff05aff0
ACPI: SPMI (v004     HP   rx8620 0x00000000   HP 0x00000000) @
0x00000707ff05adf8
ACPI: OEMD (v001     HP   rx8620 0x00000000   HP 0x00000000) @
0x00000707ff040128
ACPI: HPET (v001     HP   rx8620 0x00000000   HP 0x00000000) @
0x00000707ff0400f0
ACPI: SSDT (v002     HP  CELL002 0x00000000   HP 0x00000000) @
0x00000707ff05b280
ACPI: DSDT (v002     HP  CELL000 0x00000000   HP 0x00000000) @
0x0000000000000000
ACPI: SRAT revision 1
ACPI: SLIT localities 4x4
Number of logical nodes in system = 3
Number of memory chunks in system = 6
warning: skipping physical page 0
warning: skipping physical page 0
warning: skipping physical page 0
Initial ramdisk at: 0xe0000040fea3d000 (5591040 bytes)
SAL 3.1: HP Orca/IPF version 1.7
SAL Platform features: None
SAL: AP wakeup using external interrupt vector 0xff
ACPI: Local APIC address 0xc0000000fee00000
ACPI: LSAPIC (ai_id[0x00] lsapic_id[0x00] lsapic_eid[0x00] enabled)
CPU 0 (0x0000) enabled (BSP)
ACPI: LSAPIC (acpi_id[0x02] lsapic_id[0x04] lsapic_eid[0x00] enabled)
CPU 1 (0x0400) enabled
ACPI: LSAPIC (acpi_id[0x04] lsapic_id[0x08] lsapic_eid[0x00] enabled)
CPU 2 (0x0800) enabled
ACPI: LSAPIC (acpi_id[0x06] lsapic_id[0x0c] lsapic_eid[0x00] enabled)
CPU 3 (0x0c00) enabled
ACPI: LSAPIC (acpi_id[0x10] lsapic_id[0x00] lsapic_eid[0x02] enabled)
CPU 4 (0x0002) enabled
ACPI: LSAPIC (acpi_id[0x12] lsapic_id[0x04] lsapic_eid[0x02] enabled)
CPU 5 (0x0402) enabled
ACPI: LSAPIC (acpi_id[0x14] lsapic_id[0x08] lsapic_eid[0x02] enabled)
CPU 6 (0x0802) enabled
ACPI: LSAPIC (acpi_id[0x16] lsapic_id[0x0c] lsapic_eid[0x02] enabled)
CPU 7 (0x0c02) enabled
ACPI: IOSAPIC (id[0xf] address[00000ffffc001000] gsi_base[16])
ACPI: IOSAPIC (id[0x0] address[00000f8010000800] gsi_base[24])
ACPI: IOSAPIC (id[0x1] address[00000f8010002800] gsi_base[32])
ACPI: IOSAPIC (id[0x2] address[00000f8010004800] gsi_base[43])
ACPI: IOSAPIC (id[0x4] address[00000f8010008800] gsi_base[54])
ACPI: IOSAPIC (id[0x6] address[00000f801000c800] gsi_base[65])
ACPI: IOSAPIC (id[0x8] address[00000f8010010800] gsi_base[76])
ACPI: IOSAPIC (id[0xa] address[00000f8010014800] gsi_base[87])
ACPI: IOSAPIC (id[0xc] address[00000f8010018800] gsi_base[98])
ACPI: IOSAPIC (id[0xe] address[00000f801001c800] gsi_base[109])
ACPI: IOSAPIC (id[0x2f] address[00000ffffc101000] gsi_base[120])
GSI 16 (level, low) -> CPU 0 (0x0000) vector 48
8 CPUs available, 8 CPUs total
                              GSI 24 (level, low) -> CPU 0 (0x0000)
vector 49
MCA related initialization done
warning: skipping physical page 0
Virtual mem_map starts at 0xa0007fffc7200000
On node 0 totalpages: 3928164
  DMA zone: 3928164 pages, LIFO batch:4
  Normal zone: 0 pages, LIFO batch:1
  HighMem zone: 0 pages, LIFO batch:1
Built 1 zonelists
Kernel command line: BOOT_IMAGE=scsi0:EFI\redhat\vmlinuz-anaconda 
ramdisk_size=12288 maxcpus=1 ksdevice=eth0  console=ttyS0,115200n8
ksdevice=link
ks=nfs:toaster.boston.redhat.com:/vol/vol1/kick/00-30-6E-4B-2A-0C/ks.cfg
ro
PID hash table entries: 4096 (order 12: 65536 bytes)
CPU 0: base freq=200.000MHz, ITC ratio=13/2, ITC freq=1300.000MHz+/--1ppm
Console: colour dummy device 80x25
Memory: 62628032k/62850624k available (5469k code, 236208k reserved,
2122k data, 384k init)
McKinley Errata 9 workaround not needed; disabling it
Calibrating delay loop... 1947.68 BogoMIPS
GetProp() ERROR = -1 [tree.o] ./../src/getprop.c:66
GetProp() ERROR = -1 [tree.o] ./../src/getprop.c:66
GetProp() ERROR = -1 [tree.o] ./../src/getprop.c:66
GetProp() ERROR = -1 [tree.o] ./../src/getprop.c:66
GetProp() ERROR = -1 [tree.o] ./../src/getprop.c:66

Version-Release number of selected component (if applicable):


How reproducible:
Everytime

Steps to Reproduce:
1. attempt to install rawhide ia64 from 0621
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2004-06-21 14:09:32 EDT
That's from the kernel, nothing else has finished loading yet.
Comment 2 Bill Nottingham 2004-08-05 17:38:12 EDT
Do current trees behave better?
Comment 3 Jason Baron 2004-10-19 16:16:59 EDT
yeah, is this still an issue?
Comment 4 Dave Jones 2005-09-28 05:42:31 EDT
given the age of this bug (reported as devel for a pre-rhel4 kernel!), and
inactivity, I'll assume this got fixed, and close it out.

Note You need to log in before you can comment on or make changes to this bug.